> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get sub-account details

GET https://api.brevo.com/v3/corporate/subAccount/{id}

This endpoint will provide the details for the specified sub-account company

Reference: https://developers.brevo.com/reference/get-sub-account-details

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `id` (long, required) — Id of the sub-account organization

## Response

### 200

Sub-account organization details

- `companyName` (string, optional) — Sub-account company name
- `email` (string, optional) — Email id of the sub-account organization
- `groups` (list of object, optional) — List of groups associated with the sub-account
  - `id` (string, optional) — Group id
  - `name` (string, optional) — Name of the group
- `name` (string, optional) — Name of the sub-account user
- `planInfo` (object, optional) — Sub-account plan details
  - `credits` (object, optional) — Credits quota and remaining credits on the sub-account
    - `emails` (object, optional) — Email credits remaining on the sub-account
      - `quantity` (long, optional) — Quantity of email messaging limits provided
      - `remaining` (long, optional) — Available email messaging limits for use
    - `externalFeeds` (object, optional) — externalFeeds credits remaining on the sub-account
      - `quantity` (long, optional) — Quantity of externalFeeds messaging limits provided
      - `remaining` (long, optional) — Available externalFeeds messaging limits for use
    - `sms` (object, optional) — SMS credits remaining on the sub-account
      - `quantity` (long, optional) — Quantity of SMS messaging limits provided
      - `remaining` (long, optional) — Available SMS messaging limits for use
    - `whatsapp` (object, optional) — Whatsapp credits remaining on the sub-account
      - `quantity` (long, optional) — Quantity of whatsapp messaging limits provided
      - `remaining` (long, optional) — Available whatsapp messaging limits for use
    - `wpSubscribers` (object, optional) — Push credits remaining on the sub-account
      - `quantity` (long, optional) — Quantity of Push sending limits provided
      - `remaining` (long, optional) — Available Push sending limits for use
  - `features` (object, optional) — Features available on the sub-account
    - `inbox` (object, optional) — Inbox details / Not applicable on ENTv2
      - `quantity` (long, optional) — Quantity of inbox provided
      - `remaining` (long, optional) — Available inboxes for use
    - `landingPage` (object, optional) — Landing page details / Not applicable on ENTv2
      - `quantity` (long, optional) — Quantity of landing pages provided
      - `remaining` (long, optional) — Available landing pages for use
    - `salesUsers` (object, optional) — Sales and service users to use phone, sales and conversations
      - `quantity` (long, optional) — Quantity of sales users provided
      - `remaining` (long, optional) — Available sales users for use
    - `users` (object, optional) — Marketing users to manage the marketing channels
      - `quantity` (long, optional) — Quantity of marketing users provided
      - `remaining` (long, optional) — Available marketing users for use
  - `planType` (string, optional) — type of the plan

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "companyName": "API-Sub-26thOct21-4",
  "email": "uday+1@brevo.com",
  "groups": [
    {
      "id": "5f8f8c3b5f56a02d4433b3a7",
      "name": "Group 1"
    },
    {
      "id": "5f8f8c3b5f56a02d4433b3a8",
      "name": "Group 2"
    }
  ],
  "name": "Uday Pandit",
  "planInfo": {
    "credits": {
      "emails": {
        "quantity": 2000,
        "remaining": 1955
      },
      "externalFeeds": {
        "quantity": 1,
        "remaining": 1
      },
      "sms": {
        "quantity": 2000,
        "remaining": 1955
      },
      "whatsapp": {
        "quantity": 100,
        "remaining": 50
      },
      "wpSubscribers": {
        "quantity": 2000,
        "remaining": 1955
      }
    },
    "features": {
      "inbox": {
        "quantity": 20,
        "remaining": 12
      },
      "landingPage": {
        "quantity": 25,
        "remaining": 14
      },
      "salesUsers": {
        "quantity": 30,
        "remaining": 14
      },
      "users": {
        "quantity": 30,
        "remaining": 14
      }
    },
    "planType": "paid"
  }
}
```

**SDK Code**

```typescript Master account_getSubAccountDetails_example
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.getSubAccountDetails({
        id: 1,
    });
}
main();

```

```python Master account_getSubAccountDetails_example
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.get_sub_account_details(
    id=1,
)

```

```php Master account_getSubAccountDetails_example
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->getSubAccountDetails(
    1,
);

```

```go Master account_getSubAccountDetails_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/subAccount/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Master account_getSubAccountDetails_example
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/subAccount/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Master account_getSubAccountDetails_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/corporate/subAccount/1")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp Master account_getSubAccountDetails_example
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/subAccount/1");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Master account_getSubAccountDetails_example
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/subAccount/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```